Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class AlgorithmParametersSpi

    java.lang.Object
      |
      +--java.security.AlgorithmParametersSpi

Direct Known Subclasses:
  JDKAlgorithmParameters

public abstract class AlgorithmParametersSpi
extends java.lang.Object

Constructor Summary
`AlgorithmParametersSpi()`

Method Summary
`protected abstract byte[]` | `engineGetEncoded()`
`protected abstract byte[]` | `engineGetEncoded(java.lang.String format)`
`protected abstract AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected abstract void` | `engineInit(AlgorithmParameterSpec paramSpec)`
`protected abstract void` | `engineInit(byte[] params)`
`protected abstract void` | `engineInit(byte[] params, java.lang.String format)`
`protected abstract java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmParametersSpi

    public AlgorithmParametersSpi()

Method Detail

### engineGetEncoded

    protected abstract byte[] engineGetEncoded()
                                        throws java.io.IOException

    `java.io.IOException`

### engineGetEncoded

    protected abstract byte[] engineGetEncoded(java.lang.String format)
                                        throws java.io.IOException

    `java.io.IOException`

### engineGetParameterSpec

    protected abstract AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                              throws InvalidParameterSpecException

    `InvalidParameterSpecException`

### engineInit

    protected abstract void engineInit(AlgorithmParameterSpec paramSpec)
                                throws InvalidParameterSpecException

    `InvalidParameterSpecException`

### engineInit

    protected abstract void engineInit(byte[] params)
                                throws java.io.IOException

    `java.io.IOException`

### engineInit

    protected abstract void engineInit(byte[] params,
                                       java.lang.String format)
                                throws java.io.IOException

    `java.io.IOException`

### engineToString

    protected abstract java.lang.String engineToString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD